FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007131801.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007131801.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=4f2fdeb OS_GIT_VERSION=4.5.0-202007131801.p0-4f2fdeb SOURCE_DATE_EPOCH=1590688371 SOURCE_GIT_COMMIT=4f2fdeb49fe1f57652ff861ca62703f528eadc13 SOURCE_GIT_TAG=v0.0.0-beta1-84-g4f2fdeb SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
WORKDIR /go/src/github.com/openshift/cluster-api-provider-gcp
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interfers with our own
RUN unset VERSION \
 && make build GOPROXY=off NO_DOCKER=1 CGO_ENABLED=0

FROM openshift/ose-base:v4.5.0.20200713.182304
ENV __doozer=update BUILD_RELEASE=202007131801.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007131801.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=4f2fdeb OS_GIT_VERSION=4.5.0-202007131801.p0-4f2fdeb SOURCE_DATE_EPOCH=1590688371 SOURCE_GIT_COMMIT=4f2fdeb49fe1f57652ff861ca62703f528eadc13 SOURCE_GIT_TAG=v0.0.0-beta1-84-g4f2fdeb SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-gcp 
COPY --from=builder /go/src/github.com/openshift/cluster-api-provider-gcp/bin/machine-controller-manager /

LABEL \
        name="openshift/ose-gcp-machine-controllers" \
        com.redhat.component="ose-gcp-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202007131801.p0" \
        io.openshift.build.commit.id="4f2fdeb49fe1f57652ff861ca62703f528eadc13" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-gcp" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-gcp/commit/4f2fdeb49fe1f57652ff861ca62703f528eadc13" \
        version="v4.5.0"

